net.ME1312.SubServers.Client.Bukkit.Library.Config

## Class YAMLConfig

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Library.Config.YAMLConfig

    public class YAMLConfig
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`YAMLConfig(java.io.File file)`

### Method Summary

All Methods Instance Methods Concrete Methods
`YAMLSection` `get()`
`void` `reload()`
`void` `save()`
`void` `set(YAMLSection yaml)`
`org.json.JSONObject` `toJSON()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### YAMLConfig

    public YAMLConfig(java.io.File file)
               throws java.io.IOException,
                      org.yaml.snakeyaml.error.YAMLException

Throws:
  `java.io.IOException`
  `org.yaml.snakeyaml.error.YAMLException`

### Method Detail

#### get

    public YAMLSection get()

#### set

    public void set(YAMLSection yaml)

#### reload

    public void reload()
                throws java.io.IOException

Throws:
  `java.io.IOException`

#### save

    public void save()
              throws java.io.IOException

Throws:
  `java.io.IOException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toJSON

    public org.json.JSONObject toJSON()